c
c   Stupid trick to initialize variables and keep file size under 64K for 
c   MS Fortran
c
      Subroutine InitAll( MF,SF,FF,JF,AF,CF,EF )
      implicit none
	
      include 'a_const.inc'
c
c     Include the definitions of the structures used.
c                                    
      include 'a_struct.inc'
c
      record /marker_flag/    MF
      record /segment_flag/   SF
      record /force_flag/     FF      
      record /joint_flag/     JF
      record /avg_pos_flag/   AF                                   
      record /cycle_flag/     CF
      record /emg_flag/       EF
c
c     setup various quantities which will be used through out the program
c
      include 'a_prm.inc'
      include 'a_gls2.inc'
      include 'a_frc.inc'       
c
c     Define the variables that will be used here in the main shell and
c     initialize them
c                                            
      include 'a_names.inc'
      include 'a_jnt.inc'
      include 'a_iconst.inc'      
      call InitFullBodyAnalysis( .true.,.true. )
      call zero_motion_flags( MF,SF,JF,AF,CF )
      call zero_force_flags( FF,EF )
c
c     Initialize data used to condition force plate data.  This
c     is the process used to find foot strikes and split the force
c     data so that it is assigned to a specific foot.
c               
      FRC_COND.trig_percent= 4.0
      FRC_COND.num_idle_frm= 10  
      FRC_COND.idle_percent= 4.0
      FRC_COND.HS_tol_percent= 10.0
c
c     Set up some general parameters
c
      GP.single_cycle=  .false.
      GP.normalized=    .false.
      GP.seg_unrotated= .false.
      GP.seg_smooth=    .false.
      GP.last_updated=  'NEVER    '
      GP.comment=       'No comment'                            
      GP.Sex=           'M'
      GP.int_poly_order=3
      GP.FileFormatVersion= 'd'
      
      return
      end